Get a list of privacy requests | DataGrail Documentation

Get a list of privacy requests

GET https://www.example.com/api/v2/privacy_requests

Get a list of privacy requests

Request

Query Parameters

sort_by string

Possible values: [created_at, due_date]

The field to sort by.

Default value: created_at

sort_direction string

Possible values: [asc, desc]

The direction to sort by.

Default value: desc

page_size integer

The number of results to return per page. If not provided, defaults to 50. If no pagination parameters are provided, results will be limited to 1000. If a page_size over 1000 is provided, the page_size will be set to 1000.

Example: 10

after string

A cursor for use in pagination. after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include after=obj_bar in order to fetch the next page of the list.

before string

A cursor for use in pagination. before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include after=obj_bar in order to fetch the previous page of the list.

include_total boolean

When using pagination, Use this param to include the total number of results in the response. Defaults to false.

include_identifiers boolean

If true, the response will include all identifiers (primary and non-primary) linked to each privacy request. If not provided or set to false, the response will only include the primary identifiers (such as email and phone).

Defaults to false.

status string[]

Possible values: [new_ticket, initializing, paused_wizard, pending_wizard, pending_confirmation, pending_verification, pending_legal, pending_identifiers, pending_delete, complete, extracting_personal_data, closed_wontrespond, closed_spam, closed_unverified, closed_downloaded, closed_notdownloaded, closed_deleted, closed_responded, closed_by_customer, notifying_requester, active, closed]

The status of the request to filter by.

privacy_right string[]

Possible values: [access, access_categories, data_portability, deletion, disclosure, pause_processing, rectification, sale_disclosure, third_party_disclosure]

The privacy right to filter by.

submitted_by string[]

Possible values: [authorized_agent, data_subject, dg_customer]

Who or what submitted the request

verified boolean

Whether or not the request has been verified

origin string[]

Possible values: [api, application, email, intake_form, internal_intake_form, phone]

The origin of the request

email string

The email address of the data subject

Example: john.smith@example.com

created_at string

Filter requests by time. Supports searching by [gt, gte, lt, lte], and requests can be combined to filter by range. gte and lte are inclusive (e.g. gte is greater than or equal), gt and lt are exclusive (e.g. lt is less than). The date must be in ISO 8601 format.

Example:?created_at[gte]=2022-01-01T00:00:00Z&created_at[lte]=2025-01-01T00:00:00Z

due_date string

Filter requests by due date. Supports searching by [gt, gte, lt, lte], and requests can be combined to filter by range. gte and lte are inclusive (e.g. gte is greater than or equal), gt and lt are exclusive (e.g. lt is less than). The date must be in ISO 8601 format.

Example:?due_date[gte]=2022-01-01T00:00:00Z&due_date[lte]=2025-01-01T00:00:00Z

Header Parameters

authorization string required

Example: Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9

Responses

Privacy Request Found

Schema

data object[]

Array [

id string

The unique identifier of the request.

Example: 967e34da-4863-4fcf-842d-176dd102d032

created_at string

Datetime of when the privacy request was created.

Example: 2024-08-09T21:14:49.444Z

due_date string

Date of when the privacy request is due.

Example: 2024-08-09

origin string

The origin of the request.

Possible values: [api, application, email, intake_form, internal_intake_form, phone]

Example: intake_form

locale string

The locale of the request for the language that the request was submitted in

Example: es

privacy_right string

The type of request that was made.

Example: access

privacy_request_policy object

The privacy request policy associated with the request.

id string

The unique identifier of the privacy request policy.

Example: 967e34da-4863-4fcf-842d-176dd102d032

name string

The external facing name of the request policy.

Example: US Standard Policy

metadata object

The metadata associated with the request. Will include additional information about the request and the data subject. If submitted through an intake form, data subject specific information will be included in the intake_data field.

property name* string

identifiers object[]

The identifiers associated with the request.

Array [

name string

The name of the identifier.

Example: email

value string

The value of the identifier.

Example: john@example.com

required boolean

Example: true

]

intake_data object

The intake data associated with the request. If submitted through an intake form, data subject specific information will be included here.

property name* object

oneOf

string

submitted_by string

The person who submitted the request.

Possible values: [application, authorized_agent, data_subject]

Example: data_subject

status string

The status of the request.

Example: open

skip_results_email boolean

Flag to indicate if the final notification email should be skipped after processing a request.

Default value: false

Example: false

]

{
  "data": [
    {
      "id": "967e34da-4863-4fcf-842d-176dd102d032",
      "created_at": "2024-08-09T21:14:49.444Z",
      "due_date": "2024-08-09",
      "origin": "intake_form",
      "locale": "es",
      "privacy_right": "access",
      "privacy_request_policy": {
        "id": "967e34da-4863-4fcf-842d-176dd102d032",
        "name": "US Standard Policy"
      },
      "metadata": {
        "detected_country_code": "US",
        "detected_sub_region_code_1": "CA"
      },
      "identifiers": [
        {
          "name": "email",
          "value": "john@example.com",
          "required": true
        }
      ],
      "intake_data": {
        "first_name": "Guinevere",
        "last_name": "Camelot",
        "reported_country_code": "CA",
        "reported_sub_region_code_1": "QB",
        "favorite_colors": [
          "Red",
          "Blue"
        ]
      },
      "submitted_by": "data_subject",
      "status": "open",
      "skip_results_email": false
    }
  ]
}
curl -L 'https://www.example.com/api/v2/privacy_requests' \
-H 'Accept: application/json'